/*
 * Copyright 2012 <a href="mailto:lincolnbaxter@gmail.com">Lincoln Baxter, III</a>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ocpsoft.prettytime.i18n;

import java.util.ListResourceBundle;

public class Resources_ca extends ListResourceBundle
{

    private static final Object[][] OBJECTS = new Object[][] {
                                                              { "CenturyPattern", "%n %u" },
                                                              { "CenturyFuturePrefix", "dintre de " },
                                                              { "CenturyFutureSuffix", "" },
                                                              { "CenturyPastPrefix", "fa " },
                                                              { "CenturyPastSuffix", "" },
                                                              { "CenturySingularName", "segle" },
                                                              { "CenturyPluralName", "segles" },
                                                              { "DayPattern", "%n %u" },
                                                              { "DayFuturePrefix", "dintre de " },
                                                              { "DayFutureSuffix", "" },
                                                              { "DayPastPrefix", "fa " },
                                                              { "DayPastSuffix", "" },
                                                              { "DaySingularName", "dia" },
                                                              { "DayPluralName", "dies" },
                                                              { "DecadePattern", "%n %u" },
                                                              { "DecadeFuturePrefix", "dintre de " },
                                                              { "DecadeFutureSuffix", "" },
                                                              { "DecadePastPrefix", "fa " },
                                                              { "DecadePastSuffix", "" },
                                                              { "DecadeSingularName", "deseni" },
                                                              { "DecadePluralName", "desenis" },
                                                              { "HourPattern", "%n %u" },
                                                              { "HourFuturePrefix", "dintre de " },
                                                              { "HourFutureSuffix", "" },
                                                              { "HourPastPrefix", "fa " },
                                                              { "HourPastSuffix", "" },
                                                              { "HourSingularName", "hora" },
                                                              { "HourPluralName", "hores" },
                                                              { "JustNowPattern", "%u" },
                                                              { "JustNowFuturePrefix", "" },
                                                              { "JustNowFutureSuffix", "en un instant" },
                                                              { "JustNowPastPrefix", "en uns instants" },
                                                              { "JustNowPastSuffix", "" },
                                                              { "JustNowSingularName", "" },
                                                              { "JustNowPluralName", "" },
                                                              { "MillenniumPattern", "%n %u" },
                                                              { "MillenniumFuturePrefix", "dintre de " },
                                                              { "MillenniumFutureSuffix", "" },
                                                              { "MillenniumPastPrefix", "fa " },
                                                              { "MillenniumPastSuffix", "" },
                                                              { "MillenniumSingularName", "mileni" },
                                                              { "MillenniumPluralName", "milenis" },
                                                              { "MillisecondPattern", "%n %u" },
                                                              { "MillisecondFuturePrefix", "dintre de " },
                                                              { "MillisecondFutureSuffix", "" },
                                                              { "MillisecondPastPrefix", "fa " },
                                                              { "MillisecondPastSuffix", "" },
                                                              { "MillisecondSingularName", "mil·lisegon" },
                                                              { "MillisecondPluralName", "mil·lisegons" },
                                                              { "MinutePattern", "%n %u" },
                                                              { "MinuteFuturePrefix", "dintre de " },
                                                              { "MinuteFutureSuffix", "" },
                                                              { "MinutePastPrefix", "fa " },
                                                              { "MinutePastSuffix", "" },
                                                              { "MinuteSingularName", "minut" },
                                                              { "MinutePluralName", "minuts" },
                                                              { "MonthPattern", "%n %u" },
                                                              { "MonthFuturePrefix", "dintre de " },
                                                              { "MonthFutureSuffix", "" },
                                                              { "MonthPastPrefix", "fa " },
                                                              { "MonthPastSuffix", "" },
                                                              { "MonthSingularName", "mes" },
                                                              { "MonthPluralName", "mesos" },
                                                              { "SecondPattern", "%n %u" },
                                                              { "SecondFuturePrefix", "dintre de " },
                                                              { "SecondFutureSuffix", "" },
                                                              { "SecondPastPrefix", "fa " },
                                                              { "SecondPastSuffix", "" },
                                                              { "SecondSingularName", "segon" },
                                                              { "SecondPluralName", "segons" },
                                                              { "WeekPattern", "%n %u" },
                                                              { "WeekFuturePrefix", "dintre de " },
                                                              { "WeekFutureSuffix", "" },
                                                              { "WeekPastPrefix", "fa " },
                                                              { "WeekPastSuffix", "" },
                                                              { "WeekSingularName", "setmana" },
                                                              { "WeekPluralName", "setmanes" },
                                                              { "YearPattern", "%n %u" },
                                                              { "YearFuturePrefix", "dintre de " },
                                                              { "YearFutureSuffix", "" },
                                                              { "YearPastPrefix", "fa " },
                                                              { "YearPastSuffix", "" },
                                                              { "YearSingularName", "any" },
                                                              { "YearPluralName", "anys" },
                                                              { "AbstractTimeUnitPattern", "" },
                                                              { "AbstractTimeUnitFuturePrefix", "" },
                                                              { "AbstractTimeUnitFutureSuffix", "" },
                                                              { "AbstractTimeUnitPastPrefix", "" },
                                                              { "AbstractTimeUnitPastSuffix", "" },
                                                              { "AbstractTimeUnitSingularName", "" },
                                                              { "AbstractTimeUnitPluralName", "" } };


    @Override
    protected Object[][] getContents()
    {
        return OBJECTS;
    }
}
