/*
 * Copyright 2012 <a href="mailto:lincolnbaxter@gmail.com">Lincoln Baxter, III</a>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ocpsoft.prettytime.i18n;

import java.util.ListResourceBundle;

public class Resources_it extends ListResourceBundle
{

    private static final Object[][] OBJECTS = new Object[][] {
                                                              { "CenturyPattern", "%n %u" },
                                                              { "CenturyFuturePrefix", "" },
                                                              { "CenturyFutureSuffix", "da ora" },
                                                              { "CenturyPastPrefix", "" },
                                                              { "CenturyPastSuffix", "fa" },
                                                              { "CenturySingularName", "secolo" },
                                                              { "CenturyPluralName", "secoli" },
                                                              { "DayPattern", "%n %u" },
                                                              { "DayFuturePrefix", "" },
                                                              { "DayFutureSuffix", "da ora" },
                                                              { "DayPastPrefix", "" },
                                                              { "DayPastSuffix", "fa" },
                                                              { "DaySingularName", "giorno" },
                                                              { "DayPluralName", "giorni" },
                                                              { "DecadePattern", "%n %u" },
                                                              { "DecadeFuturePrefix", "" },
                                                              { "DecadeFutureSuffix", "da ora" },
                                                              { "DecadePastPrefix", "" },
                                                              { "DecadePastSuffix", "fa" },
                                                              { "DecadeSingularName", "decade" },
                                                              { "DecadePluralName", "decadi" },
                                                              { "HourPattern", "%n %u" },
                                                              { "HourFuturePrefix", "" },
                                                              { "HourFutureSuffix", "da ora" },
                                                              { "HourPastPrefix", "" },
                                                              { "HourPastSuffix", "fa" },
                                                              { "HourSingularName", "ora" },
                                                              { "HourPluralName", "ore" },
                                                              { "JustNowPattern", "%u" },
                                                              { "JustNowFuturePrefix", "" },
                                                              { "JustNowFutureSuffix", "poco fa" },
                                                              { "JustNowPastPrefix", "minuti fa" },
                                                              { "JustNowPastSuffix", "" },
                                                              { "JustNowSingularName", "" },
                                                              { "JustNowPluralName", "" },
                                                              { "MillenniumPattern", "%n %u" },
                                                              { "MillenniumFuturePrefix", "" },
                                                              { "MillenniumFutureSuffix", "poco fa" },
                                                              { "MillenniumPastPrefix", "" },
                                                              { "MillenniumPastSuffix", "fa" },
                                                              { "MillenniumSingularName", "millennio" },
                                                              { "MillenniumPluralName", "millenni" },
                                                              { "MillisecondPattern", "%n %u" },
                                                              { "MillisecondFuturePrefix", "" },
                                                              { "MillisecondFutureSuffix", "da ora" },
                                                              { "MillisecondPastPrefix", "" },
                                                              { "MillisecondPastSuffix", "fa" },
                                                              { "MillisecondSingularName", "millisecondo" },
                                                              { "MillisecondPluralName", "millisecondi" },
                                                              { "MinutePattern", "%n %u" },
                                                              { "MinuteFuturePrefix", "" },
                                                              { "MinuteFutureSuffix", "da ora" },
                                                              { "MinutePastPrefix", "" },
                                                              { "MinutePastSuffix", "fa" },
                                                              { "MinuteSingularName", "minuto" },
                                                              { "MinutePluralName", "minuti" },
                                                              { "MonthPattern", "%n %u" },
                                                              { "MonthFuturePrefix", "" },
                                                              { "MonthFutureSuffix", "da ora" },
                                                              { "MonthPastPrefix", "" },
                                                              { "MonthPastSuffix", "fa" },
                                                              { "MonthSingularName", "mese" },
                                                              { "MonthPluralName", "mesi" },
                                                              { "SecondPattern", "%n %u" },
                                                              { "SecondFuturePrefix", "" },
                                                              { "SecondFutureSuffix", "da ora" },
                                                              { "SecondPastPrefix", "" },
                                                              { "SecondPastSuffix", "fa" },
                                                              { "SecondSingularName", "secondo" },
                                                              { "SecondPluralName", "secondi" },
                                                              { "WeekPattern", "%n %u" },
                                                              { "WeekFuturePrefix", "" },
                                                              { "WeekFutureSuffix", "da ora" },
                                                              { "WeekPastPrefix", "" },
                                                              { "WeekPastSuffix", "fa" },
                                                              { "WeekSingularName", "settimana" },
                                                              { "WeekPluralName", "settimane" },
                                                              { "YearPattern", "%n %u" },
                                                              { "YearFuturePrefix", "" },
                                                              { "YearFutureSuffix", "da ora" },
                                                              { "YearPastPrefix", "" },
                                                              { "YearPastSuffix", "fa" },
                                                              { "YearSingularName", "anno" },
                                                              { "YearPluralName", "anni" },
                                                              { "AbstractTimeUnitPattern", "" },
                                                              { "AbstractTimeUnitFuturePrefix", "" },
                                                              { "AbstractTimeUnitFutureSuffix", "" },
                                                              { "AbstractTimeUnitPastPrefix", "" },
                                                              { "AbstractTimeUnitPastSuffix", "" },
                                                              { "AbstractTimeUnitSingularName", "" },
                                                              { "AbstractTimeUnitPluralName", "" } };

    @Override
    protected Object[][] getContents()
    {
        return OBJECTS;
    }
}
